Documentation Index

Fetch the complete documentation index at: https://help.gong.io/llms.txt

Use this file to discover all available pages before exploring further.

Give individual users access to calls

Prev Next
Put
/v2/calls/users-access

Give individual users access to calls.

If a user already has access (perhaps the call was shared with them, or they have access through their permission profiles) the request will have no effect.

Required authorizaton scope: 'api:call-user-access:write'.

Body parameters
Expand All
object
callAccessList
Array of object (CallUsersAccessDto)

A list, in which each item specifies a call and a list of users to be given access to this call.

object

Call users access

callId
string Required

Gong's unique numeric call ID.

Example7782342274025937895
userIds
Array of string Required

Array of Gong's unique numeric user IDs.

Example[ "234599484848423" ]
string
Responses
200

Successful request

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
400

Malformed request

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
401

Access denied

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
500

Failed to complete the operation due to an unexpected error

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string